Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.beans.reflector
Class Reflector

    java.lang.Object
      |
      +--weblogic.beans.reflector.Reflector

public class Reflector
extends java.lang.Object

Class for T3Bean reflection.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Reflector()` Constructs a T3Bean Reflector.

Method Summary
`Reference` | `create(java.lang.String name, java.lang.String className, java.lang.String[] parameterTypes, java.lang.Object[] parameters)` Returns a T3Bean Reference with the specified name, using the specified class, parameter types, and parameters.
`boolean` | `getAllowRemoteReferences()` Determines whether a T3Bean Reflector allows remote references.
`Reference` | `invoke(Reference ref, java.lang.String methodName, java.lang.String[] parameterTypes, java.lang.Object[] parameters, java.lang.String resultName)` Invokes the specified method on a T3Bean by its Reference.
`void` | `setAllowRemoteReferences(boolean allowRemoteReferences)` Sets a Reflector to allow remote references as specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reflector

    public Reflector()

  Constructs a T3Bean Reflector.

Method Detail

### setAllowRemoteReferences

    public void setAllowRemoteReferences(boolean allowRemoteReferences)

  Sets a Reflector to allow remote references as specified.

  Parameters:
    `allowRemoteReferences` - true if the Reflector should allow remote refs

### getAllowRemoteReferences

    public boolean getAllowRemoteReferences()

  Determines whether a T3Bean Reflector allows remote references.

  Returns:
    true if the Reflector allows remote refs

### create

    public Reference create(java.lang.String name,
                            java.lang.String className,
                            java.lang.String[] parameterTypes,
                            java.lang.Object[] parameters)
                     throws java.lang.Exception

  Returns a T3Bean Reference with the specified name, using the specified class, parameter types, and parameters. The parameter types may include int, long, short, boolean, byte, and char, as well as full class names of Java types.

  Parameters:
    `name` - Name to associate with Reference
    `className` - Class to instantiate
    `parameterTypes` - Array of string types
    `parameters` - Parameters (as object references)
  Returns:
    Reference that was invoked upon
  Throws:
    java.lang.Exception - if there is an error

### invoke

    public Reference invoke(Reference ref,
                            java.lang.String methodName,
                            java.lang.String[] parameterTypes,
                            java.lang.Object[] parameters,
                            java.lang.String resultName)
                     throws java.lang.Exception

  Invokes the specified method on a T3Bean by its Reference. The parameter types may include int, long, short, boolean, byte, and char, as well as full class names of Java types. The parameters are an array of Reference objects.

  Parameters:
    `ref` - Reference
    `methodName` - Method to invoke
    `parameterTypes` - Array of string types
    `parameters` - Parameters
  Returns:
    Reference that was invoked upon
  Throws:
    java.lang.Exception - if there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD